> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar miembros de Enterprise

> Listar miembros paginados en esta cuenta Enterprise

Requiere una API key personal de un administrador de Enterprise.

Devuelve una lista paginada de todos los miembros de tu cuenta Enterprise, incluida su información básica y su rol en la cuenta Enterprise.


## OpenAPI

````yaml es/v2-openapi.yaml GET /v2/enterprise/members
openapi: 3.1.0
info:
  description: API de Devin v2 con Personal API Keys para administradores de Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/members:
    get:
      tags:
        - members
      summary: Endpoint de miembros de Enterprise
      description: Listar los miembros paginados de esta cuenta Enterprise
      operationId: enterprise_members_endpoint_v2_enterprise_members_get
      parameters:
        - in: query
          name: skip
          required: false
          schema:
            default: 0
            minimum: 0
            title: Skip
            type: integer
        - in: query
          name: limit
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: email
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Email
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_EnterpriseUserResponse_'
          description: Respuesta satisfactoria
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Error de validación
components:
  schemas:
    PaginatedResponse_EnterpriseUserResponse_:
      properties:
        has_more:
          title: Has More
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/EnterpriseUserResponse'
          title: Items
          type: array
        limit:
          title: Limit
          type: integer
        next_cursor:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Cursor
        skip:
          title: Skip
          type: integer
        total:
          title: Total
          type: integer
      required:
        - items
        - total
        - skip
        - limit
        - has_more
      title: PaginatedResponse[EnterpriseUserResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    EnterpriseUserResponse:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        email:
          title: Email
          type: string
        enterprise_role:
          title: Enterprise Role
          type: string
        last_login:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Login
        login_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Login Count
        name:
          title: Name
          type: string
        saml_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Saml Id
        searches_created_count:
          default: 0
          title: Searches Created Count
          type: integer
        sessions_created_count:
          default: 0
          title: Sessions Created Count
          type: integer
        user_id:
          title: User Id
          type: string
      required:
        - user_id
        - email
        - name
        - enterprise_role
        - created_at
      title: EnterpriseUserResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: API key personal (apk_user_*) solo para administradores de Enterprise
      scheme: bearer
      type: http

````